# Import OpenAPI/Swagger Data

## OpenAPI Specification

```yaml
openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /v1/projects/{projectId}/import-openapi:
    post:
      summary: Import OpenAPI/Swagger Data
      deprecated: false
      description: >-
        Currently supports importing data in OpenAPI 3, Swagger 2 formats. 

        The extensions have been added on top of standard Swagger/OpenAPI.

        Please check here to know more about [Apidog OpenAPI Specification
        Extensions](https://apidog.com/help/reference/apidog-openapi-specification).
      tags:
        - Import & Export
      parameters:
        - name: projectId
          in: path
          description: ''
          required: true
          example: '{{projectId}}'
          schema:
            type: string
        - name: locale
          in: query
          description: ''
          required: false
          example: en-US
          schema:
            type: string
        - name: X-Apidog-Api-Version
          in: header
          description: OpenAPI versions, required, otherwise an error will occur.
          required: true
          example: '2024-03-28'
          schema:
            type: string
            enum:
              - '2024-03-28'
            x-apidog:
              enumDescriptions:
                '2024-03-28': ''
        - name: Authorization
          in: header
          description: >-
            Authorization is in the format of Bearer Personal Access Token.
            Refer to How to Generate Apidog OpenAPI Access Token for more
            information.
          required: true
          example: Bearer {{access_token}}
          schema:
            type: string
            default: Bearer {{access_token}}
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                input:
                  oneOf:
                    - type: object
                      properties:
                        url:
                          type: string
                          description: URL used to fetch OpenAPI specification
                        basicAuth:
                          type: object
                          properties:
                            username:
                              type: string
                              title: username
                            password:
                              type: string
                              title: password
                          title: Authing
                          description: >-
                            If importing via URL requires auth, you need to
                            provide the username and password for auth.
                          x-apidog-orders:
                            - username
                            - password
                          required:
                            - username
                            - password
                      description: >-
                        For `URL`, it is defined as a URL that includes the
                        'url' and optional 'basicAuth' keys.
                      x-apidog-orders:
                        - url
                        - basicAuth
                      required:
                        - url
                      title: URL Method
                    - type: string
                      description: >-
                        For `string`, it is defined as a YAML, X-YAML, or
                        stringified JSON object.
                      title: String Method
                  description: >-
                    The OpenAPI specification you want to import, either as a
                    string or a URL.
                options:
                  type: object
                  properties:
                    targetEndpointFolderId:
                      type: number
                      description: >-
                        The ID of the target folder for storing or matching
                        Endpoints. If not specified, the target folder will be
                        the `Root` folder.
                    targetSchemaFolderId:
                      type: number
                      description: >-
                        The ID of the target folder to store or matching data
                        schemas. If not specified, the target folder will be the
                        `Root` folder.
                    endpointOverwriteBehavior:
                      type: string
                      description: >-
                        Specify the behavior for handling matched API Endpoints.
                        Determine whether to override existing API Endpoints,
                        automatically merge changes, skip changes and keep
                        existing API Endpoints, or create new API Endpoints.
                      enum:
                        - OVERWRITE_EXISTING
                        - AUTO_MERGE
                        - KEEP_EXISTING
                        - CREATE_NEW
                      default: OVERWRITE_EXISTING
                      x-apidog-enum:
                        - value: OVERWRITE_EXISTING
                          name: ''
                          description: Overwrite existing endpoint
                        - value: AUTO_MERGE
                          name: ''
                          description: Automatically merge changes into existing endpoints
                        - value: KEEP_EXISTING
                          name: ''
                          description: Skip changes and keep existing endpoints
                        - value: CREATE_NEW
                          name: ''
                          description: Keep existing endpoints and create new one.
                    schemaOverwriteBehavior:
                      type: string
                      description: >-
                        Specify how to handle matching data schemas. Determine
                        whether to overwrite the existing schema, automatically
                        merge changes, skip changes and keep the existing
                        schema, or create a new schema.
                      enum:
                        - OVERWRITE_EXISTING
                        - AUTO_MERGE
                        - KEEP_EXISTING
                        - CREATE_NEW
                      default: OVERWRITE_EXISTING
                      x-apidog-enum:
                        - value: OVERWRITE_EXISTING
                          name: ''
                          description: Overwrite existing endpoint
                        - value: AUTO_MERGE
                          name: ''
                          description: Automatically merge changes into existing endpoints
                        - value: KEEP_EXISTING
                          name: ''
                          description: Skip changes and keep existing endpoints
                        - value: CREATE_NEW
                          name: ''
                          description: Keep existing endpoints and create new one.
                    updateFolderOfChangedEndpoint:
                      type: boolean
                      description: >-
                        Whether to update the catalog ID of the API when
                        importing matching existing API Endpoints. If you want
                        to change the catalog ID along with the imported API,
                        you should set it to true.
                      default: false
                    prependBasePath:
                      type: boolean
                      description: >-
                        Whether to add the base path to the path of the API, the
                        default setting is false. We recommend setting it to
                        false, so that the base path can be retained in the
                        "Environment" instead of inside each API Endpoint. If
                        you want to add a path prefix to the API Endpoint path,
                        you should set it to true.
                      default: false
                    targetBranchId:
                      type: number
                      description: >-
                        The ID of the branch for the data import. Defaults to
                        the `main` branch ID if unspecified.
                    moduleId:
                      type: number
                      description: >-
                        The ID of the module for the data import. Defaults to
                        the `default` module ID if unspecified.
                    deleteUnmatchedResources:
                      type: boolean
                      default: false
                      description: >-
                        Whether to delete resources (endpoints and schemas) that
                        already exist in the project but are not present in the
                        imported API spec. If you want to keep
                          the project in sync with the data source by removing outdated resources, you should set it to true.
                  description: >-
                    An import process object containing advanced options and
                    their values.
                  x-apidog-orders:
                    - targetEndpointFolderId
                    - targetSchemaFolderId
                    - endpointOverwriteBehavior
                    - schemaOverwriteBehavior
                    - updateFolderOfChangedEndpoint
                    - prependBasePath
                    - targetBranchId
                    - moduleId
                    - deleteUnmatchedResources
              x-apidog-orders:
                - input
                - options
              required:
                - input
            examples:
              '1':
                value:
                  input:
                    url: https://petstore.swagger.io/v2/swagger.json
                  options:
                    targetEndpointFolderId: 0
                    targetSchemaFolderId: 0
                    endpointOverwriteBehavior: OVERWRITE_EXISTING
                    schemaOverwriteBehavior: OVERWRITE_EXISTING
                    updateFolderOfChangedEndpoint: false
                    prependBasePath: false
                summary: URL
              '2':
                value:
                  input: >-
                    {"swagger":"2.0","info":{"description":"This is a sample
                    server Petstore server.  You can find out more about Swagger
                    at [http://swagger.io](http://swagger.io) or on
                    [irc.freenode.net, #swagger](http://swagger.io/irc/).  For
                    this sample, you can use the api key `special-key` to test
                    the authorization
                    filters.","version":"1.0.6","title":"Swagger
                    Petstore","termsOfService":"http://swagger.io/terms/","contact":{"email":"apiteam@swagger.io"},"license":{"name":"Apache
                    2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"host":"petstore.swagger.io","basePath":"/v2","tags":[{"name":"pet","description":"Everything
                    about your Pets","externalDocs":{"description":"Find out
                    more","url":"http://swagger.io"}},{"name":"store","description":"Access
                    to Petstore
                    orders"},{"name":"user","description":"Operations about
                    user","externalDocs":{"description":"Find out more about our
                    store","url":"http://swagger.io"}}],"schemes":["https","http"],"paths":{"/pet/{petId}/uploadImage":{"post":{"tags":["pet"],"summary":"uploads
                    an
                    image","description":"","operationId":"uploadFile","consumes":["multipart/form-data"],"produces":["application/json"],"parameters":[{"name":"petId","in":"path","description":"ID
                    of pet to
                    update","required":true,"type":"integer","format":"int64","default":1},{"name":"additionalMetadata","in":"formData","description":"Additional
                    data to pass to
                    server","required":false,"type":"string"},{"name":"file","in":"formData","description":"file
                    to
                    upload","required":false,"type":"file"}],"responses":{"200":{"description":"successful
                    operation","schema":{"$ref":"#/definitions/ApiResponse"}}},"security":[{"petstore_auth":["write:pets","read:pets"]}]}},"/pet":{"post":{"tags":["pet"],"summary":"Add
                    a new pet to the
                    store","description":"","operationId":"addPet","consumes":["application/json","application/xml"],"produces":["application/json","application/xml"],"parameters":[{"in":"body","name":"body","description":"Pet
                    object that needs to be added to the
                    store","required":true,"schema":{"$ref":"#/definitions/Pet"}}],"responses":{"405":{"description":"Invalid
                    input"}},"security":[{"petstore_auth":["write:pets","read:pets"]}]},"put":{"tags":["pet"],"summary":"Update
                    an existing
                    pet","description":"","operationId":"updatePet","consumes":["application/json","application/xml"],"produces":["application/json","application/xml"],"parameters":[{"in":"body","name":"body","description":"Pet
                    object that needs to be added to the
                    store","required":true,"schema":{"$ref":"#/definitions/Pet"}}],"responses":{"400":{"description":"Invalid
                    ID supplied"},"404":{"description":"Pet not
                    found"},"405":{"description":"Validation
                    exception"}},"security":[{"petstore_auth":["write:pets","read:pets"]}]}},"/pet/findByStatus":{"get":{"tags":["pet"],"summary":"Finds
                    Pets by status","description":"Multiple status values can be
                    provided with comma separated
                    strings","operationId":"findPetsByStatus","produces":["application/json","application/xml"],"parameters":[{"name":"status","in":"query","description":"Status
                    values that need to be considered for
                    filter","required":true,"type":"array","items":{"type":"string","enum":["available","pending","sold"],"default":"available"},"collectionFormat":"multi"}],"responses":{"200":{"description":"successful
                    operation","schema":{"type":"array","items":{"$ref":"#/definitions/Pet"}}},"400":{"description":"Invalid
                    status
                    value"}},"security":[{"petstore_auth":["write:pets","read:pets"]}]}},"/pet/findByTags":{"get":{"tags":["pet"],"summary":"Finds
                    Pets by tags","description":"Multiple tags can be provided
                    with comma separated strings. Use tag1, tag2, tag3 for
                    testing.","operationId":"findPetsByTags","produces":["application/json","application/xml"],"parameters":[{"name":"tags","in":"query","description":"Tags
                    to filter
                    by","required":true,"type":"array","items":{"type":"string"},"collectionFormat":"multi"}],"responses":{"200":{"description":"successful
                    operation","schema":{"type":"array","items":{"$ref":"#/definitions/Pet"}}},"400":{"description":"Invalid
                    tag
                    value"}},"security":[{"petstore_auth":["write:pets","read:pets"]}],"deprecated":true}},"/pet/{petId}":{"get":{"tags":["pet"],"summary":"Find
                    pet by ID","description":"Returns a single
                    pet","operationId":"getPetById","produces":["application/json","application/xml"],"parameters":[{"name":"petId","in":"path","description":"ID
                    of pet to
                    return","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"successful
                    operation","schema":{"$ref":"#/definitions/Pet"}},"400":{"description":"Invalid
                    ID supplied"},"404":{"description":"Pet not
                    found"}},"security":[{"api_key":[]}]},"post":{"tags":["pet"],"summary":"Updates
                    a pet in the store with form
                    data","description":"","operationId":"updatePetWithForm","consumes":["application/x-www-form-urlencoded"],"produces":["application/json","application/xml"],"parameters":[{"name":"petId","in":"path","description":"ID
                    of pet that needs to be
                    updated","required":true,"type":"integer","format":"int64"},{"name":"name","in":"formData","description":"Updated
                    name of the
                    pet","required":false,"type":"string"},{"name":"status","in":"formData","description":"Updated
                    status of the
                    pet","required":false,"type":"string"}],"responses":{"405":{"description":"Invalid
                    input"}},"security":[{"petstore_auth":["write:pets","read:pets"]}]},"delete":{"tags":["pet"],"summary":"Deletes
                    a
                    pet","description":"","operationId":"deletePet","produces":["application/json","application/xml"],"parameters":[{"name":"api_key","in":"header","required":false,"type":"string"},{"name":"petId","in":"path","description":"Pet
                    id to
                    delete","required":true,"type":"integer","format":"int64"}],"responses":{"400":{"description":"Invalid
                    ID supplied"},"404":{"description":"Pet not
                    found"}},"security":[{"petstore_auth":["write:pets","read:pets"]}]}},"/store/order":{"post":{"tags":["store"],"summary":"Place
                    an order for a
                    pet","description":"","operationId":"placeOrder","consumes":["application/json"],"produces":["application/json","application/xml"],"parameters":[{"in":"body","name":"body","description":"order
                    placed for purchasing the
                    pet","required":true,"schema":{"$ref":"#/definitions/Order"}}],"responses":{"200":{"description":"successful
                    operation","schema":{"$ref":"#/definitions/Order"}},"400":{"description":"Invalid
                    Order"}}}},"/store/order/{orderId}":{"get":{"tags":["store"],"summary":"Find
                    purchase order by ID","description":"For valid response try
                    integer IDs with value >= 1 and <= 10. Other values will
                    generated
                    exceptions","operationId":"getOrderById","produces":["application/json","application/xml"],"parameters":[{"name":"orderId","in":"path","description":"ID
                    of pet that needs to be
                    fetched","required":true,"type":"integer","maximum":10,"minimum":1,"format":"int64"}],"responses":{"200":{"description":"successful
                    operation","schema":{"$ref":"#/definitions/Order"}},"400":{"description":"Invalid
                    ID supplied"},"404":{"description":"Order not
                    found"}}},"delete":{"tags":["store"],"summary":"Delete
                    purchase order by ID","description":"For valid response try
                    integer IDs with positive integer value. Negative or
                    non-integer values will generate API
                    errors","operationId":"deleteOrder","produces":["application/json","application/xml"],"parameters":[{"name":"orderId","in":"path","description":"ID
                    of the order that needs to be
                    deleted","required":true,"type":"integer","minimum":1,"format":"int64"}],"responses":{"400":{"description":"Invalid
                    ID supplied"},"404":{"description":"Order not
                    found"}}}},"/store/inventory":{"get":{"tags":["store"],"summary":"Returns
                    pet inventories by status","description":"Returns a map of
                    status codes to
                    quantities","operationId":"getInventory","produces":["application/json"],"parameters":[],"responses":{"200":{"description":"successful
                    operation","schema":{"type":"object","additionalProperties":{"type":"integer","format":"int32"}}}},"security":[{"api_key":[]}]}},"/user/createWithArray":{"post":{"tags":["user"],"summary":"Creates
                    list of users with given input
                    array","description":"","operationId":"createUsersWithArrayInput","consumes":["application/json"],"produces":["application/json","application/xml"],"parameters":[{"in":"body","name":"body","description":"List
                    of user
                    object","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/User"}}}],"responses":{"default":{"description":"successful
                    operation"}}}},"/user/createWithList":{"post":{"tags":["user"],"summary":"Creates
                    list of users with given input
                    array","description":"","operationId":"createUsersWithListInput","consumes":["application/json"],"produces":["application/json","application/xml"],"parameters":[{"in":"body","name":"body","description":"List
                    of user
                    object","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/User"}}}],"responses":{"default":{"description":"successful
                    operation"}}}},"/user/{username}":{"get":{"tags":["user"],"summary":"Get
                    user by user
                    name","description":"","operationId":"getUserByName","produces":["application/json","application/xml"],"parameters":[{"name":"username","in":"path","description":"The
                    name that needs to be fetched. Use user1 for testing.
                    ","required":true,"type":"string"}],"responses":{"200":{"description":"successful
                    operation","schema":{"$ref":"#/definitions/User"}},"400":{"description":"Invalid
                    username supplied"},"404":{"description":"User not
                    found"}}},"put":{"tags":["user"],"summary":"Updated
                    user","description":"This can only be done by the logged in
                    user.","operationId":"updateUser","consumes":["application/json"],"produces":["application/json","application/xml"],"parameters":[{"name":"username","in":"path","description":"name
                    that need to be
                    updated","required":true,"type":"string"},{"in":"body","name":"body","description":"Updated
                    user
                    object","required":true,"schema":{"$ref":"#/definitions/User"}}],"responses":{"400":{"description":"Invalid
                    user supplied"},"404":{"description":"User not
                    found"}}},"delete":{"tags":["user"],"summary":"Delete
                    user","description":"This can only be done by the logged in
                    user.","operationId":"deleteUser","produces":["application/json","application/xml"],"parameters":[{"name":"username","in":"path","description":"The
                    name that needs to be
                    deleted","required":true,"type":"string"}],"responses":{"400":{"description":"Invalid
                    username supplied"},"404":{"description":"User not
                    found"}}}},"/user/login":{"get":{"tags":["user"],"summary":"Logs
                    user into the
                    system","description":"","operationId":"loginUser","produces":["application/json","application/xml"],"parameters":[{"name":"username","in":"query","description":"The
                    user name for
                    login","required":true,"type":"string"},{"name":"password","in":"query","description":"The
                    password for login in clear
                    text","required":true,"type":"string"}],"responses":{"200":{"description":"successful
                    operation","headers":{"X-Expires-After":{"type":"string","format":"date-time","description":"date
                    in UTC when token
                    expires"},"X-Rate-Limit":{"type":"integer","format":"int32","description":"calls
                    per hour allowed by the
                    user"}},"schema":{"type":"string"}},"400":{"description":"Invalid
                    username/password
                    supplied"}}}},"/user/logout":{"get":{"tags":["user"],"summary":"Logs
                    out current logged in user
                    session","description":"","operationId":"logoutUser","produces":["application/json","application/xml"],"parameters":[],"responses":{"default":{"description":"successful
                    operation"}}}},"/user":{"post":{"tags":["user"],"summary":"Create
                    user","description":"This can only be done by the logged in
                    user.","operationId":"createUser","consumes":["application/json"],"produces":["application/json","application/xml"],"parameters":[{"in":"body","name":"body","description":"Created
                    user
                    object","required":true,"schema":{"$ref":"#/definitions/User"}}],"responses":{"default":{"description":"successful
                    operation"}}}}},"securityDefinitions":{"api_key":{"type":"apiKey","name":"api_key","in":"header"},"petstore_auth":{"type":"oauth2","authorizationUrl":"https://petstore.swagger.io/oauth/authorize","flow":"implicit","scopes":{"read:pets":"read
                    your pets","write:pets":"modify pets in your
                    account"}}},"definitions":{"ApiResponse":{"type":"object","properties":{"code":{"type":"integer","format":"int32"},"type":{"type":"string"},"message":{"type":"string"}}},"Category":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}},"xml":{"name":"Category"}},"Pet":{"type":"object","required":["name","photoUrls"],"properties":{"id":{"type":"integer","format":"int64"},"category":{"$ref":"#/definitions/Category"},"name":{"type":"string","example":"doggie"},"photoUrls":{"type":"array","xml":{"wrapped":true},"items":{"type":"string","xml":{"name":"photoUrl"}}},"tags":{"type":"array","xml":{"wrapped":true},"items":{"xml":{"name":"tag"},"$ref":"#/definitions/Tag"}},"status":{"type":"string","description":"pet
                    status in the
                    store","enum":["available","pending","sold"]}},"xml":{"name":"Pet"}},"Tag":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}},"xml":{"name":"Tag"}},"Order":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"petId":{"type":"integer","format":"int64"},"quantity":{"type":"integer","format":"int32"},"shipDate":{"type":"string","format":"date-time"},"status":{"type":"string","description":"Order
                    Status","enum":["placed","approved","delivered"]},"complete":{"type":"boolean"}},"xml":{"name":"Order"}},"User":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"username":{"type":"string"},"firstName":{"type":"string"},"lastName":{"type":"string"},"email":{"type":"string"},"password":{"type":"string"},"phone":{"type":"string"},"userStatus":{"type":"integer","format":"int32","description":"User
                    Status"}},"xml":{"name":"User"}}},"externalDocs":{"description":"Find
                    out more about Swagger","url":"http://swagger.io"}}
                  options:
                    targetEndpointFolderId: 0
                    targetSchemaFolderId: 0
                    endpointOverwriteBehavior: OVERWRITE_EXISTING
                    schemaOverwriteBehavior: OVERWRITE_EXISTING
                    updateFolderOfChangedEndpoint: false
                    prependBasePath: false
                summary: String
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      counters:
                        type: object
                        properties:
                          endpointCreated:
                            type: integer
                            title: The number of endpoints created
                          endpointUpdated:
                            type: integer
                            title: The number of endpoints updated
                          endpointFailed:
                            type: integer
                            title: The number of endpoints import failed
                          endpointIgnored:
                            type: integer
                            title: The number of endpoints ingored
                          schemaCreated:
                            type: integer
                            title: The number of schemas created
                          schemaUpdated:
                            type: integer
                            title: The number of schemas updated
                          schemaFailed:
                            type: integer
                            title: The number of schemas import failed
                          schemaIgnored:
                            type: integer
                            title: The number of schemas ingored
                          endpointFolderCreated:
                            type: integer
                            title: The number of endpoint folders created
                          endpointFolderUpdated:
                            type: integer
                            title: The number of endpoint folders updated
                          endpointFolderFailed:
                            type: integer
                            title: The number of endpoint folders import failed
                          endpointFolderIgnored:
                            type: integer
                            title: The number of endpoint folders ingored
                          schemaFolderCreated:
                            type: integer
                            title: The number of schema folders created
                          schemaFolderUpdated:
                            type: integer
                            title: The number of schema folders updated
                          schemaFolderFailed:
                            type: integer
                            title: The number of schema folders import failed
                          schemaFolderIgnored:
                            type: integer
                            title: The number of schema folders ingored
                        required:
                          - endpointCreated
                          - endpointUpdated
                          - endpointFailed
                          - endpointIgnored
                          - schemaFolderCreated
                          - schemaCreated
                          - schemaIgnored
                          - schemaFailed
                          - schemaUpdated
                          - schemaFolderIgnored
                          - schemaFolderFailed
                          - schemaFolderUpdated
                          - endpointFolderIgnored
                          - endpointFolderFailed
                          - endpointFolderUpdated
                          - endpointFolderCreated
                        x-apidog-orders:
                          - endpointCreated
                          - endpointUpdated
                          - endpointFailed
                          - endpointIgnored
                          - schemaCreated
                          - schemaUpdated
                          - schemaFailed
                          - schemaIgnored
                          - endpointFolderCreated
                          - endpointFolderUpdated
                          - endpointFolderFailed
                          - endpointFolderIgnored
                          - schemaFolderCreated
                          - schemaFolderUpdated
                          - schemaFolderFailed
                          - schemaFolderIgnored
                        title: Statistics of imported APIs
                      errors:
                        type: array
                        items:
                          type: object
                          properties:
                            message:
                              type: string
                            code:
                              type: string
                          x-apidog-orders:
                            - message
                            - code
                          required:
                            - message
                            - code
                    required:
                      - counters
                    x-apidog-orders:
                      - counters
                      - errors
                    title: Imported results
                required:
                  - data
                x-apidog-orders:
                  - data
              example:
                data:
                  counters:
                    endpointCreated: 10
                    endpointUpdated: 0
                    endpointFailed: 0
                    endpointIgnored: 0
                    schemaCreated: 10
                    schemaUpdated: 0
                    schemaFailed: 0
                    schemaIgnored: 0
                    endpointFolderCreated: 0
                    endpointFolderUpdated: 0
                    endpointFolderFailed: 0
                    endpointFolderIgnored: 0
                    schemaFolderCreated: 0
                    schemaFolderUpdated: 0
                    schemaFolderFailed: 0
                    schemaFolderIgnored: 0
          headers: {}
          x-apidog-name: Success
      security: []
      x-apidog-folder: Import & Export
      x-apidog-status: released
      x-run-in-apidog: https://app.apidog.com/web/project/538323/apis/api-7312738-run
components:
  schemas: {}
  securitySchemes: {}
servers:
  - url: https://api.apidog.com
    description: Prod Env
security: []

```
